La Snap Store está disponible en como app de escritorio para Linux

Snap Store

Como editor de blogs, esto lo digo muchas veces, a veces miro en Discover (el centro de software de Kubuntu) para ver si hay alguna app nueva sobre la que hablar. La inmensa mayoría de las novedades que aparecen (en mi caso) son las que añaden o actualizan en Flathub, pero pocas de los repositorios APT y paquetes Snap. Bueno, técnicamente, esto tampoco cambia en la tienda de la que os hablaremos en este post, que no es otra que la Snap Store.

Cuando quiero ver si hay algo nuevo, hasta ahora tenía que ir a snapcraft.io, pero tampoco aparecen las novedades. En cualquier caso, la noticia que he leído hoy me ha hecho descubrir la tienda oficial para Linux de los paquetes Snap. Como podéis ver en la captura que encabeza este artículo o si decidís instalarla, se trata de una tienda muy muy parecida al centro de software de Ubuntu. De hecho, está desarrollada sobre GNOME.

La Snap Store está desarrollada sobre GNOME

Como en el centro de software de Ubuntu, en la Snap Store tenemos «Todo» e «Instalado». Para ser igual en este sentido le falta el apartado de «Actualizaciones». En el apartado «Instalado» solo aparece software relacionado con los paquetes Snap, por lo que, si no tenemos muchos paquetes de este tipo instalado, lo que veremos será muy poco software.

Personalmente, no le veo mucho sentido a instalar la Snap Store en sistemas operativos como Ubuntu. Las novedades aparecen en el centro de software (lo podéis comprobar ahora mismo viendo que aparece Krita), por lo que no ganamos nada en este sentido. Sí puede servirnos si lo que queremos es buscar y descargar única y exclusivamente paquetes Snap.

Para instalarlo, bastará con abrir un terminal y escribir:

sudo snap install snap-store

¿Qué te parece la Snap Store? ¿La vas a instalar o prefieres hacerlo todo con el centro de software?

Linux App Store
Artículo relacionado:
Linux App Store: ¿la tienda de aplicaciones Linux definitiva?

5 comentarios, deja el tuyo

Deja tu comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

*

*

  1. Responsable de los datos: Miguel Ángel Gatón
  2. Finalidad de los datos: Controlar el SPAM, gestión de comentarios.
  3. Legitimación: Tu consentimiento
  4. Comunicación de los datos: No se comunicarán los datos a terceros salvo por obligación legal.
  5. Almacenamiento de los datos: Base de datos alojada en Occentus Networks (UE)
  6. Derechos: En cualquier momento puedes limitar, recuperar y borrar tu información.

  1.   Richard dijo

    Que porqueria esto del snap store cada nueva version de ubuntu desmejoran al final desintale ubuntu 17.04 porque ademas se congela mucho y muy dificil de dominar en general . Instalar un programa es toda una aventura Si se tiene suerte el software de ubuntu no se queda congelado o bloqueado. Si utilizo mucho el selector de ventana deja congelado el PC. Lo he probado en diferentes PC y diferentes Ubuntus 14, 16 , 17 ,18 , 19 .Me quedo con ubuntu 11.10 Oneriric Ocelot

  2.   Dats360 dijo

    F Pormi, Ami no me lo instala (El snap «snap-store» ya está instalado; consulte «snap help refresh») xD

  3.   Adokin dijo

    Si, pero yo lo instalo en debian, por que hay una aplicación que solo está disponible en el empaquetado Snap y la necesito FBReader, pero no aparece en el menú par lanzarla. Busco en la carpeta snap del directorio home y veo la carpeta snap-store y está algo vacía así que me voy al directorio /snap/snap-store/current/usr/bin a ver si ahí se ejecuta, pero nada. Cuando voy a la página de https://snapcraft.io/ y le doy al botón «View in desktop store» entonces se ejecuta snap-store sin problema. FBReader tampoco aparece en el menú de inicio de mi escritorio (Mate) ni tampoco tiene una carteta en la dirección snap de home, sólo en /snap/fbreader. Cuando trato de ejecutar snap-store en consola me pide la librería libgspell-1.so.2 pero no la puedo obtener en los repositorios de debian. Cuando trato de ejecutar FBReader en consola desde su directorio de instalación /snap/fbreader/current/bin me pide esta librería: libicuuc.so.66, no le tengo en los repositorios de debian y no se ejecuta. Voy a mirar a ver cómo consigo esas librerías para debian y a ver si lo resuelvo. El inconveniente que le veo a Snap es que se comiencen a hacer los empaquetados solo en Snap para algunas aplicaciones. Por una parte tiene ventajas, por que puedes no tener problemas con las librerías al pasar a nuevas actualizaciones del sistema operativo pero pierde la ventaja de compartir librerías entre varias aplicaciones que supone ahorro de espacio.

    1.    Pablinux dijo

      Hola:

      No necesitas la Snap Store para instalar snaps. La Snap Store es de Canonical, y no merece la pena para nada. Lo que tienes que hacer es lo que pone en esta web: https://snapcraft.io/docs/installing-snap-on-debian

      -Primero, instalas el, digamos, gestor de paquetes snap, que es snapd: sudo apt install snapd.
      -Reinicias, o cierras sesión y vuelves a entrar. Yo recomendaría reiniciar, por si acaso.
      -Instalas el «core snap»: sudo snap install core. En teoría no hace falta reiniciar, pero tampoco hace daño.
      -Ahora ya puedes instalar snaps con el comando sudo snap install «programa», cambiando «programa» por el programa que necesites (sin las comillas). Si no sabes su nombre, puedes ir a snapcraft y verlo en su página web.

      Dependiendo de la tienda de software que tengas, por ejemplo, GNOME Software en la versión GNOME, también suele haber un plugin para poder instalar software desde esa tienda. En el caso de la GNOME es gnome-software-plugin-snap y se puede instalar con apt.

      Probado y funcionando en Debian 11 (GNOME).

      Un saludo.

      1.    Adokin dijo

        Gracias por la respuesta. Ya encontré la solución.

        Los lanzadores se encuentran en esta dirección:

        /var/lib/snapd/desktop/applications

        Ahí pude ejecutar sin problemas tanto Snap-store (Que cómo dices tampoco es necesario instalarla) cómo el lanzador de FBReader.

        Escribí al canal de Telegram de FBReader y me dijeron dónde localizar el lanzador de su programa y me encontré con el de snap-store también. He escrito la solución en mi blog pero quien quiera es libre de copiar la solución.

        Para añadir el icono al menú simplemente usando menulibre que está en los repositorios.